Newer Version Available

This content describes an older version of this product. View Latest

performQuickActions()

Executes quick actions of type create or update.

Syntax

Usage

Use the performQuickActions() call to perform a specific quick action. Returns an array of PerformQuickActionResult objects.

In API version 46.0 and later, the apiName for a global quick action can include the prefix Global. in a performQuickActions() request body. The request body also accepts global quick action API names without the prefix.

Note

If you’re accessing the API using a custom community URL and you use the performQuickActions() call to create a group, the group is only available within that community.

Note

The OutgoingEmail entity can be created only via calls from the performQuickAction API.

Note

Sample—Java

This sample uses a quick action to create a new contact.

Arguments

Name Type Description
quickActions PerformQuickActionRequest The action request to perform.

PerformQuickActionRequest

Name Type Description
parentOrContextId ID
  • In API version 28.0, parentId is the ID of the sObject on which to create a record for the request.
  • In API version 29.0 and greater, contextId is the ID of the context on which to create a record for the request.
quickActionName string The parent or context sObject and action name—for example, Opportunity.QuickCreateOpp.
records SObject[] The record to be created. Only one record can be saved at a time.